<?xml version="1.0" encoding="UTF-8"?>
<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd">
    <mirrors>
    <mirror> <!--Send all requests to the public group -->
      <id>artifactory</id>
      <mirrorOf>*</mirrorOf>
      <url>https://artifactory.yipintsoi.com/repository/maven-public/</url>
    </mirror>
  </mirrors>
  <activeProfiles>
    <!--make the profile active all the time -->
    <activeProfile>artifactory</activeProfile>
  </activeProfiles>
  <profiles>
    <profile>
      <id>artifactory</id>
      <!--Override the repository (and pluginRepository) "central" from the Maven Super POM
          to activate snapshots for both! -->
      <repositories>
        <repository>
          <id>central</id>
          <url>http://central</url>
          <releases>
            <enabled>true</enabled>
          </releases>
          <snapshots>
            <enabled>true</enabled>
          </snapshots>
        </repository>
      </repositories>
      <pluginRepositories>
        <pluginRepository>
          <id>central</id>
          <url>http://central</url>
          <releases>
            <enabled>true</enabled>
          </releases>
          <snapshots>
            <enabled>true</enabled>
          </snapshots>
        </pluginRepository>
      </pluginRepositories>
    </profile>
    <profile>
      <id>sonar</id>
        <activation>
          <activeByDefault>true</activeByDefault>
        </activation>
          <properties>
            <!-- Optional URL to server. Default value is http://localhost:9000 -->
            <sonar.host.url>
              https://sonar.cloud.yipintsoi.com
            </sonar.host.url>
          </properties>
    </profile>
  </profiles>

  <pluginGroups>
    <pluginGroup>org.sonarsource.scanner.maven</pluginGroup>
  </pluginGroups>

  <servers>
    <server>
      <id>artifactory</id>
      <username>${repo.username}</username>
      <password>${repo.password}</password>
    </server>
  </servers>
</settings>
